Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1410350 - Error messages are not readable for colourblind users
Summary: Error messages are not readable for colourblind users
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: User Interface
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-05 09:06 UTC by Jason McDonald
Modified: 2018-12-09 06:29 UTC (History)
3 users (show)

Fixed In Version: 5.0.3.rh22
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-01-20 03:19:47 UTC


Attachments (Terms of Use)

Description Jason McDonald 2017-01-05 09:06:52 UTC
Description of problem:
Various Bugzilla pages display error messages and other important information in (what I presume to be) black text on a red background.  For the 8% of males who are red/green colourblind, this text is difficult or impossible to read.

Version-Release number of selected component (if applicable):
5.0.3 (beta.bugzilla.redhat.com)

How reproducible:
Always

Steps to Reproduce:
1. Login as an admin user and go to Administration->Groups.
2. Click the Delete link for one of the groups.
3. Login as any user.
4. File a new bug, press the browser's Back button and submit again.

Actual results:
- In the page displayed after step 2, under the Confirmation heading there's a red box containing black text.
- In the page displayed after step 4, there's an error message in a red box with black text.

Expected results:
All page elements are readable for colourblind users.

Additional info:
Black on red does not provide sufficient contrast for a colourblind user to easily distinguish the foreground from the background.  If a dark background colour is used, a light foreground colour must be used to ensure sufficient contrast.  The converse is also true.

Comment 1 Jeff Fearn 🐞 2017-01-09 01:59:16 UTC
This comes from ".confirmation" in skins/standard/admin.css, needs to be overridden in redhat.css to match the other warning/error themes.

Comment 2 Rony Gong 🔥 2017-01-19 03:30:31 UTC
Tested on QA environment(5.0.3-rh22)
Result: Pass
Steps:
These message all show not in redbox now.


Note You need to log in before you can comment on or make changes to this bug.